hu.akarnokd.rxjava2.math

## Class MathFlowable

- java.lang.Object
- - hu.akarnokd.rxjava2.math.MathFlowable

    public final class MathFlowable
    extends java.lang.Object

Utility methods to work with numerical Flowable sources: sum, min, max and average.

### Method Summary

All Methods Static Methods Concrete Methods
`static io.reactivex.Flowable<java.lang.Double>` `averageDouble(org.reactivestreams.Publisher<? extends java.lang.Number> source)`
`static io.reactivex.Flowable<java.lang.Float>` `averageFloat(org.reactivestreams.Publisher<? extends java.lang.Number> source)`
`static <T extends java.lang.Comparable<? super T>> io.reactivex.Flowable<T>` `max(org.reactivestreams.Publisher<T> source)`
`static <T> io.reactivex.Flowable<T>` `max(org.reactivestreams.Publisher<T> source, java.util.Comparator<? super T> comparator)`
`static <T extends java.lang.Comparable<? super T>> io.reactivex.Flowable<T>` `min(org.reactivestreams.Publisher<T> source)`
`static <T> io.reactivex.Flowable<T>` `min(org.reactivestreams.Publisher<T> source, java.util.Comparator<? super T> comparator)`
`static io.reactivex.Flowable<java.lang.Double>` `sumDouble(org.reactivestreams.Publisher<java.lang.Double> source)`
`static io.reactivex.Flowable<java.lang.Float>` `sumFloat(org.reactivestreams.Publisher<java.lang.Float> source)`
`static io.reactivex.Flowable<java.lang.Integer>` `sumInt(org.reactivestreams.Publisher<java.lang.Integer> source)`
`static io.reactivex.Flowable<java.lang.Long>` `sumLong(org.reactivestreams.Publisher<java.lang.Long> source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### sumInt

    public static io.reactivex.Flowable<java.lang.Integer> sumInt(org.reactivestreams.Publisher<java.lang.Integer> source)

#### sumLong

    public static io.reactivex.Flowable<java.lang.Long> sumLong(org.reactivestreams.Publisher<java.lang.Long> source)

#### sumFloat

    public static io.reactivex.Flowable<java.lang.Float> sumFloat(org.reactivestreams.Publisher<java.lang.Float> source)

#### sumDouble

    public static io.reactivex.Flowable<java.lang.Double> sumDouble(org.reactivestreams.Publisher<java.lang.Double> source)

#### max

    public static <T extends java.lang.Comparable<? super T>> io.reactivex.Flowable<T> max(org.reactivestreams.Publisher<T> source)

#### max

    public static <T> io.reactivex.Flowable<T> max(org.reactivestreams.Publisher<T> source,
                                                   java.util.Comparator<? super T> comparator)

#### min

    public static <T extends java.lang.Comparable<? super T>> io.reactivex.Flowable<T> min(org.reactivestreams.Publisher<T> source)

#### min

    public static <T> io.reactivex.Flowable<T> min(org.reactivestreams.Publisher<T> source,
                                                   java.util.Comparator<? super T> comparator)

#### averageFloat

    public static io.reactivex.Flowable<java.lang.Float> averageFloat(org.reactivestreams.Publisher<? extends java.lang.Number> source)

#### averageDouble

    public static io.reactivex.Flowable<java.lang.Double> averageDouble(org.reactivestreams.Publisher<? extends java.lang.Number> source)